## ros-indigo-laser-cb-detector 0.10.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(laser_cb_detector)

find_package(Boost REQUIRED signals thread)
find_package(catkin REQUIRED actionlib actionlib_msgs cv_bridge image_cb_detector message_filters roscpp settlerlib std_msgs)

add_action_files(DIRECTORY action FILES Config.action)

generate_messages(DEPENDENCIES actionlib_msgs std_msgs)

# define the package
catkin_package(DEPENDS actionlib actionlib_msgs cv_bridge image_cb_detector message_filters roscpp settlerlib std_msgs
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)

find_package(OpenCV REQUIRED)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS}
                           ${OpenCV_INCLUDE_DIRS}
)
include_directories(include)

install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/laser_cb_detector/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
) 

# deal witht the library
add_library(${PROJECT_NAME} src/cv_laser_bridge.cpp
                            src/laser_cb_detector.cpp
                            src/laser_interval_calc.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES}
                                      ${OpenCV_LIBRARIES}
)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencpp)
install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# deal with some executables
add_executable(laser_cb_detector_node src/laser_cb_detector_node.cpp)
target_link_libraries(laser_cb_detector_node ${Boost_LIBRARIES}
                                             ${catkin_LIBRARIES}
                                             ${PROJECT_NAME}
                                             ${OpenCV_LIBRARIES}
)

add_executable(laser_interval_calc_node src/laser_interval_calc_node.cpp)
target_link_libraries(laser_interval_calc_node ${Boost_LIBRARIES}
                                               ${catkin_LIBRARIES}
                                               ${PROJECT_NAME}
                                               ${OpenCV_LIBRARIES}
)
add_dependencies(laser_interval_calc_node calibration_msgs_gencpp)

install(TARGETS laser_cb_detector_node laser_interval_calc_node
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test EXCLUDE_FROM_ALL)
endif()

=== test/CMakeLists.txt ===
# ********** Tests **********

add_definitions(-DTEST_PATH=${CMAKE_CURRENT_SOURCE_DIR})

catkin_add_gtest(cv_laser_bridge_unittest     cv_laser_bridge_unittest.cpp)
target_link_libraries(cv_laser_bridge_unittest laser_cb_detector)
add_dependencies(cv_laser_bridge_unittest calibration_msgs_gencpp)

catkin_add_gtest(laser_cb_detector_unittest     laser_cb_detector_unittest.cpp)
target_link_libraries(laser_cb_detector_unittest laser_cb_detector)

catkin_add_gtest(laser_interval_calc_unittest     laser_interval_calc_unittest.cpp)
target_link_libraries(laser_interval_calc_unittest laser_cb_detector)

=== debian/changelog ===
ros-indigo-laser-cb-detector (0.10.14-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Apr 2016 22:00:00 -0000

ros-indigo-laser-cb-detector (0.10.13-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Dec 2014 23:00:00 -0000

ros-indigo-laser-cb-detector (0.10.12-0trusty) trusty; urgency=high

  * use a non OpenCV 1 API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-indigo-laser-cb-detector (0.10.11-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 19 Sep 2014 22:00:00 -0000

ros-indigo-laser-cb-detector (0.10.9-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 08 Apr 2014 22:00:00 -0000

ros-indigo-laser-cb-detector (0.10.8-0trusty) trusty; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * no need to depend on opencv2 as we depend on cv_bridge
    This is useful to only have one branch for both hydro and indigo
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-laser-cb-detector
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin (>= 0.5.68), ros-indigo-cv-bridge, ros-indigo-image-cb-detector, ros-indigo-message-filters, ros-indigo-roscpp, ros-indigo-settlerlib, ros-indigo-std-msgs
Homepage: http://www.ros.org/wiki/laser_cb_detector
Standards-Version: 3.9.2

Package: ros-indigo-laser-cb-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cv-bridge, ros-indigo-image-cb-detector, ros-indigo-message-filters, ros-indigo-roscpp, ros-indigo-settlerlib, ros-indigo-std-msgs
Description: Extracts checkerboard corners from a dense laser snapshot.
 This package is experimental and unstable. Expect its APIs to change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-laser-cb-detector//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
